#!/usr/bin/perl
use strict;
use Test;
use Dict::IntegerDict;

BEGIN { plan tests => 8 }

my $d = Dict::IntegerDict->new(MAXLENF=>6, REJECTLONG=>1);
ok(ref $d, 'Dict::IntegerDict');
ok($d->lemms('12345678'), 12345678);
ok($d->is_stoplexem('12345678'), 1);
ok($d->is_stoplexem('123456'), 0);
$d = Dict::IntegerDict->new(MAXLEN=>6, REJECTLONG=>0);
ok(ref $d, 'Dict::IntegerDict');
ok($d->lemms('12345678'), 123456);
ok($d->lemms('123456'), 123456);
ok($d->is_stoplexem('12345678'), 0);

